.header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    z-index: 1;
}
.header a {
    font-size: 3rem;
    margin: 0;
    font-weight: bold;
    text-decoration: none;
    color: oklch(0.1484 0 176);
}
.header nav ul{
    display: flex;
    flex-direction: row;
    list-style: none;
}
.header nav a {
    padding: 1rem;
    text-decoration: none;
    color: oklch(0.2103 0 335);
    font-size: 1rem;
}
@property --progress {
    syntax: "<percentage>";
    inherits: false;
    initial-value: 15%;
}

.bar {
    display: inline-block;
    --progress: 25%;
    width: 100%;
    height: 0.5rem;
    background: linear-gradient(
            to right,
            #00d230 var(--progress),
            black var(--progress)
    );
    animation: progressAnimation 2.5s ease infinite;
}

@keyframes progressAnimation {
    to {
        --progress: 100%;
    }
}
@property --myColor {
    syntax: "<color>";
    inherits: true;
    initial-value: oklch(0.325 0.1159 344.65);
}

@property --myWidth {
    syntax: "<length> | <percentage>";
    inherits: true;
    initial-value: 200px;
}

.PURPLE {
    background-color: var(--myColor);
    width: var(--myWidth);
    color: white;
}
/* title animatie */
.title{
    animation-duration: 3s;
    animation-name: slide-in;
}
@keyframes slide-in {
    from {
        translate: -50vw 0;
        scale: 200% 1;
    }

    to {
        translate: 0 0;
        scale: 100% 1;
    }
}